﻿create table app_setting
(
  app_id varchar(30) not null,
  key varchar(20) not null,
  value varchar(200) not null,
  primary key(app_id,key)
);

create table user_setting(
    setting_id integer not null primary key,
    value varchar(100) not null
);

create table user_apps(
    app_id varchar(30) not null  primary key,
    icon_num integer not null default 0,
    pullBadge integer not null default 0,
    pull2Badge integer not null default 0,
    dl_flag integer default 0
);    

create table user_app_often
(
   app_id varchar(30) not null primary key,
   last_update_time varchar(30)
);

create table user_apps_version(
    timestamp integer not null
);
insert into user_apps_version(timestamp) values(0);

create table app_new_add
(
    app_id varchar(50) not null  primary key
);

create table package_task 
(
  task_id varchar(30) primary key not null,
  app_id varchar(30) not null,
  version integer not null,
  net_type integer not null,
  size integer not null,
  finish_part integer not null,
  add_time varchar(30) not null,
  user_action integer not null,
  task_type integer not null
);

create table file_task 
(
  task_id varchar(30) primary key not null,
  app_id varchar(30) not null,
  url varchar(60) not null,
  save_path varchar(30) not null,
  resource_id varchar(30) not null,
  task_type integer not null,
  task_type2 integer not null,
  task_result integer not null,
  size integer not null,
  finish_part integer not null,
  add_time varchar(30) not null,
  user_action integer not null,
  server_endflag integer not null
);

create table users_settings
(
  user_sounds integer not null default 1,
  user_vibrator integer not null default 1
);

create table department_visible
(
	did integer primary key not null
);

create table favorite_person
(
	pid integer primary key not null
);

create table contacts_data_version
(
	type integer primary key not null,
	timestamp integer not null default 0
);

create table person
(
	pid integer primary key not null,
	name varchar(100) not null,
	ename varchar(100),
	signature varchar(500),
	department_id integer not null,
	s_last_update integer default 0,
	full_spell varchar(100),
	short_spell varchar(100),
	source varchar(100),
	source_id varchar(100),
	email varchar(200),
	phone varchar(30),
	telephone varchar(30),
	sex integer,
	position varchar(50),
	short_no varchar(30),
	region varchar(30),
	birthday integer,
	user_level integer,
	user_state integer default 0,
	c_last_update integer default 0,
	login_name text not null default ''
);

create table can_public_srv
(
    sid integer primary key not null,
    is_new integer not null default 0
);

create table my_public_srv
(
    sid integer primary key not null
);

create table public_srv_ver
(
    timestamp integer not null default 0,
    type integer not null	
);

create table chat_session_last_time
(
	last_time number primary key not null
);

insert into chat_session_last_time(last_time) values(0);

create table publicsrv_chat_session_last_time
(
	last_time number primary key not null
);

insert into publicsrv_chat_session_last_time(last_time) values(0);
insert into public_srv_ver(type,timestamp) values(1,0);
insert into public_srv_ver(type,timestamp) values(2,0);

create table chat_session
(
	local_session_id text primary key not null,
	server_session_id integer not null,
	session_type integer not null,
	type_id integer not null,
	max_msg_index integer not null,
	user_read_index integer not null,
	set_session_top_time number not null default 0,
	last_active_time number not null,
	last_msg_content text not null,
	last_sender_id integer not null,
	last_sender_name text,
	last_msg_stats integer not null,
	user_config text not null default '',
	draft text not null default '',
	need_show integer not null default 0,
	notification_flag integer not null default 0,
	creater_name text,
	type_name text,
	p_msg_notify_off integer not null default 0,
	m_msg_notify_off integer not null default 0,
	at_state integer not null default 0,
	at_msg_id integer not null default -100,
	at_msg_index integer not null default -100,
	report_flag integer not null default 0
);	

--工作台加号的红点 

create table new_app_flag
(
	flag integer not null default 0
);

insert into new_app_flag(flag) values(0);

insert into contacts_data_version(type,timestamp) values(3,0);
insert into contacts_data_version(type,timestamp) values(4,0);

---------------ChatGroup开始
create table chat_group
(
  gid integer primary key not null,
  name varchar(100),
  creater integer not null,
  bulletin varchar(2000),
  type integer not null,
  descs varchar(2000),
  user_limit integer,
  config varchar(500),
  update_time integer not null default 0,
  m_update_time integer not null default 0,
  create_name varchar(100),
  p_update_time integer not null default 0
);
create table chat_group_member
(
  group_id integer not null,
  member_id integer not null,
  type integer not null,
  name varchar(100) not null,
  first_letter varchar(10) not null,
  role integer not null,
  update_time integer not null default 0,
  name_en varchar(100) not null default '',
  name_tc varchar(100) not null default ''
);

create table chat_group_person
(
	group_id integer not null,
	person_id integer not null,
	name text not null default '',
	name_en text not null default '',
	name_tc text not null default '',
	first_letter text not null default '#',
	first_letter_english text not null default '#',
	dept_id integer not null default 0,
	full_spell text not null default '',
	short_spell text not null default ''
);

create table favorite_chat_group
(
  group_id integer primary key not null 
);
create table chat_group_data_ver
(
    timestamp integer not null
);
insert into chat_group_data_ver(timestamp) values(0);

---------------ChatGroup结束

create table chat_session_extensional_property
(
	local_session_id text not null,
	key text not null,
	value text not null
);

--功能插件      开始-->
create table function_plugin_status(
  plugin_code varchar(20) primary key  not null,
  is_on int not null
);
create table app_message_data_ver
(
    timestamp integer not null
);
insert into app_message_data_ver(timestamp) values(0);
--功能插件      结束-->

--邮件助手      开始-->
create table email(
  uid varchar(30) primary key  not null, 
  from_addr varchar(200) not null,
  priority integer,
  subject varchar(200),
  send_time varchar(20),
  summary varchar(400),
  content_url varchar(300),
  content_path varchar(300),
  status integer,
  attachment_count integer,
  important integer not null default 0
);

create table email_receiver(
  uid varchar(30) not null, 
  type integer,
  addr varchar(200)
);

create table workspace_ad_info
(
    id integer not null primary key,
    state integer,
    last integer,
    picurl varchar(300) not null,
    linkurl varchar(300),
    pic_savepath varchar(100),
    loadState integer 
);

create table email_attachment(
  uid varchar(30) not null, 
  name varchar(50) not null,
  download_url varchar(300) not null,
  file_name varchar(50) not null,
  is_transfered integer,
  size integer,
  mime_type varchar(200)
);

create table email_task(
  uid varchar(30) primary key not null,
  add_time integer not null
);

create table email_parameter(
  need_hint integer not null,
  new_count integer not null,
  maintain_peroid integer not null default 3
);
insert into email_parameter(need_hint,new_count) values(0,0);
create table email_signature
(
	signature varchar(300) not null default ''
);
insert into email_signature(signature) values('');
--邮件助手      结束-->


--草稿      结束-->

create table broadcast_state(
    msg_id integer primary key not null,
    msg_state integer default 0
);

create table broadcast_version(
    msg_id integer primary key not null,
    last_update integer default 0
);

create table broadcast_report(
    msg_id integer not null,
    user_id integer not null,
    user_name varchar(30),
    dept_id integer not null,
    mobile_report integer,
    pc_report integer,
    short_spell varchar(100)
);

create table broadcast_receiver(
    msg_id integer not null,
    receiver_id integer not null,
    receiver_name varchar(30),
    dept_id integer not null,
    receiver_type integer,
    short_spell varchar(100)
);

create table broadcast_receiver_state(
    msg_id integer primary key not null
);

create table search_history(
    search_id integer primary key not null,
    session_id integer not null,
    search_key varchar(100),
    search_time integer
);

create table reliable_https_url(
	url text primary key not null
);
create table user_token
( 
  domain varchar(200) primary key not null,
  token_type integer not null,
  token varchar(200) not null,
  redirect_url varchar(200),
  valid_seconds integer not null,
  gen_time integer not null
);

create table user_vpn
( 
  auto_login integer(1) not null default 1,
  ip_address varchar(100) not null default '',
  port varchar(50) not null default '',
  vpn_username varchar(50) not null default '',
  vpn_password varchar(50) not null default ''
);
insert into user_vpn(auto_login,ip_address,port,vpn_username,vpn_password) values(1,"","","","");


--2017 03 08 新增备注表-->

create table nick_name
(
	user_id integer primary key not null ,
	nick_name text not null default '',
	name text not null default '',
	english_name text not null default ''
);

-----消息收藏表-----
create table collection_msg
(
  id 	integer not null,
  msg_id 		integer not null,
  content_type integer not null,
  content text not null,
  sender integer not null default 0,
  sender_name varchar(100) not null default '',
  source varchar(200) not null default '',
  last_update_time integer not null default 0,
  primary key (id,msg_id)
);
-----消息资源表-----
create table collection_res 
(
  res_id integer not null,
  msg_id integer not null,
  save_path text not null default '',
  mime_type varchar(30) not null default '',
  server_url text not null default '',
  res_state integer not null default 0,
  file_size integer not null default 0,
  primary key (res_id,msg_id)
);
