﻿create table if not exists app_new_add
(
  app_id varchar(50) not null  primary key
);

create table search_history(
    search_id integer primary key not null,
    session_id integer not null,
    search_key varchar(100),
    search_time integer	
);

--功能插件      开始-->
create table function_plugin_status(
  plugin_code varchar(20) primary key  not null,
  is_on int not null
);
create table app_message_data_ver
(
    timestamp integer not null
);
insert into app_message_data_ver(timestamp) values(0);
--功能插件      结束-->

--邮件助手      开始-->
create table email(
  uid varchar(30) primary key  not null, 
  from_addr varchar(200) not null,
  priority integer,
  subject varchar(200),
  send_time varchar(20),
  summary varchar(400),
  content_url varchar(300),
  content_path varchar(300),
  status integer,
  attachment_count integer,
  important integer not null default 0
);

create table email_receiver(
  uid varchar(30) not null, 
  type integer,
  addr varchar(200)
);

create table email_attachment(
  uid varchar(30) not null, 
  name varchar(50) not null,
  download_url varchar(300) not null,
  file_name varchar(50) not null,
  is_transfered integer,
  size integer,
  mime_type varchar(200)
);

create table email_task(
  uid varchar(30) primary key not null,
  add_time integer not null
);

create table email_parameter(
  need_hint integer not null,
  new_count integer not null,
  maintain_peroid integer not null default 3
);
insert into email_parameter(need_hint,new_count) values(0,0);
create table email_signature
(
	signature varchar(300) not null default ''
);
insert into email_signature(signature) values('');
--邮件助手      结束-->


delete from chat_group;

delete from chat_group_member;

update chat_group_data_ver set timestamp=0;

create table can_public_srv
(
    sid integer primary key not null,
    is_new integer not null default 0
);

create table my_public_srv
(
    sid integer primary key not null
);

create table public_srv_ver
(
    timestamp integer not null default 0,
    type integer not null	
);

insert into public_srv_ver(type,timestamp) values(1,0);
insert into public_srv_ver(type,timestamp) values(2,0);

create table publicsrv_chat_session_last_time
(
	last_time number primary key not null
);

insert into publicsrv_chat_session_last_time(last_time) values(0);
ALTER TABLE person ADD user_state integer;

create table broadcast_state(
    msg_id integer primary key not null,
    msg_state integer default 0
);

create table broadcast_version(
    msg_id integer primary key not null,
    last_update integer default 0
);

create table workspace_ad_info
(
    id integer not null primary key,
    state integer,
    last integer,
    picurl varchar(300) not null,
    linkurl varchar(300),
    pic_savepath varchar(100),
    loadState integer 
);


create table broadcast_report(
    msg_id integer not null,
    user_id integer not null,
    user_name varchar(30),
    dept_id integer not null,
    mobile_report integer,
    pc_report integer,
    short_spell varchar(100)
);

create table broadcast_receiver(
    msg_id integer not null,
    receiver_id integer not null,
    receiver_name varchar(30),
    dept_id integer not null,
    receiver_type integer,
    short_spell varchar(100)
);

create table broadcast_receiver_state(
    msg_id integer primary key not null
);

ALTER TABLE chat_session ADD at_state integer not null default 0;
ALTER TABLE chat_session ADD at_msg_id integer not null default -100;
ALTER TABLE chat_session ADD at_msg_index integer not null default -100;
ALTER TABLE broadcast_report ADD dept_id integer not null default -1;
ALTER TABLE broadcast_receiver ADD dept_id integer not null default -1;
ALTER TABLE chat_session ADD report_flag integer not null default 0;
ALTER TABLE user_apps ADD pullBadge integer not null default 0;
ALTER TABLE user_apps ADD pull2Badge integer not null default 0;



create table reliable_https_url(
	url text primary key not null
);

ALTER TABLE person ADD login_name text not null default '';

ALTER TABLE chat_group ADD p_update_time integer not null default 0;

create table chat_group_person
(
	group_id integer not null,
	person_id integer not null,
	name text not null default '',
	name_en text not null default '',
	name_tc text not null default '',
	first_letter text not null default '#',
	first_letter_english text not null default '#',
	dept_id integer not null default 0,
	full_spell text not null default '',
	short_spell text not null default ''
);

create table user_token
( 
  domain varchar(200) primary key not null,
  token_type integer not null,
  token varchar(200) not null,
  redirect_url varchar(200),
  valid_seconds integer not null,
  gen_time integer not null
);

create table user_vpn
( 
  auto_login integer(1) not null default 1,
  ip_address varchar(100) not null default '',
  port varchar(50) not null default '',
  vpn_username varchar(50) not null,
  vpn_password varchar(50) not null
);
insert into user_vpn(auto_login,ip_address,port,vpn_username,vpn_password) values(1,"","","","");

-----消息收藏表-----
create table collection_msg
(
  id 	integer not null,
  msg_id integer not null default 0,
  content_type varchar(50) not null default '',
  content text not null,
  sender integer not null default 0,
  sender_name varchar(100) not null default '',
  source varchar(200) not null default '',
  last_update_time integer not null default 0,
  primary key (id,msg_id)
);

-----消息资源表-----
create table collection_res 
(
  res_id integer not null,
  msg_id integer not null,
  save_path text not null default '',
  mime_type varchar(30) not null default '',
  server_url text not null default '',
  res_state integer not null default 0,
  file_size integer not null default 0,
  primary key (res_id,msg_id)
);

update user_apps_version set timestamp=0;

ALTER TABLE chat_group_member ADD name_en varchar(100) not null default '';
ALTER TABLE chat_group_member ADD name_tc varchar(100) not null default '';

create table nick_name
(
	user_id integer primary key not null ,
	nick_name text not null default '',
	name text not null default '',
	english_name text not null default ''
);