﻿if (!Was.hasResource("contact")) {
	Was.addResource("contact");
       
    //联系人纪录
    ContactRecord = function(id, name,cname,nickname,phones,emails,addresses,company) {
        this.id = id || null;
        this.cname = cname || null;
        this.name = name || null;
        this.nickname = nickname || null;
        this.phones = phones || null; 
        this.emails = emails || null; 
        this.addresses = addresses || null;
        this.company = company || null;
    };

    //联系人操作类
    Contact = function() { };

    /**
     * 获取一个联系人，必须传入id
     * @param findOption,搜索条件，关联数组，支持：name和phone。
     * @param phone,搜索条件：电话，为null表示不设定此条件。
     * @param resultCB,结果回调函数，携带结果码
     */
    Contact.prototype.find = function(findOption,succCB,errorCB) {
        //alert('Contact.find');
        Was.exec("contact","find",findOption
                ,function(args){
                    var retCode=args["retCode"];
                    if(retCode==0){
                        //var count = parseInt(args["count"]);
                        var count = args["count"];
                        //alert(count);
                        var contactList = new Array();
                        var tmp;
                        for(var i=0;i<count;i++){
                            tmp = args["record"+i];
                            eval("var record ="+tmp);
                            contactList[i]=record;
                        }
                        succCB(contactList);
                    }
                    else{
                        errorCB(retCode);
                    }
                }
                ,errorCB);
    };
    
    /**
     * 获取一个联系人，必须传入id
     * @param id,要获取的联系人的id
     * @param resultCB,结果回调函数，携带结果码
     */
    Contact.prototype.get = function(id,resultCB) {
        if (id == null) {
            resultCB(1,null);
        }
        else {
            Was.exec("contact","get",{id:id}
                        ,function(args){
                            var retCode=args["retCode"];
                            if(retCode==0){
                                var contactBuildString = args["contact"];
                                //alert(contactBuildString);
                                eval("var record="+contactBuildString);
                                //alert(typeof record);
                                resultCB(0,record);
                            }
                            else{
                                resultCB(retCode,null);
                            }
                        }
                        ,resultCB);
        }
    };
    
    /**
     * 删除联系人，必须传入id
     * @param id,要删除的联系人的id
     * @param resultCB,结果回调函数，携带结果码
     */
    Contact.prototype.remove = function(id,resultCB) {
        if (id == null) {
            resultCB(1);
        }
        else {
            Was.exec("contact","delete",{id:id}
                        ,function(args){
                            resultCB(args["retCode"]);
                        }
                        ,resultCB);
        }
    };
    
    /**
     * 添加联系人
     * @param record,要添加的联系人纪录，详细见类ContactRecord
     * @param resultCB,结果回调函数，携带结果码
     */
    Contact.prototype.add = function(record,resultCB) {
        if (record == null) {
            resultCB(1);
        }
        else {
            Was.exec("contact","add",record
                        ,function(args){
                        resultCB(args["retCode"]);
                        }
                        ,resultCB);
        }
    };
    
    /**
     * 修改联系人
     * @param record,要修改的联系人纪录，详细见类ContactRecord
     * @param resultCB,结果回调函数，携带结果码
     */
    Contact.prototype.update = function(record,resultCB) {
        if (record == null || record.id==null) {
            resultCB(1);
        }
        else {
            Was.exec("contact","update",record
                        ,function(args){
                            resultCB(args["retCode"]);
                        }
                        ,resultCB);
        }
    };

    Was.addPlugin(function() {
        if (typeof Was.contact == "undefined") Was.contact = new Contact();
    });
};
