﻿if (!Was.hasResource("sqlitedb")) {
	Was.addResource("sqlitedb");
    
    //alert('sdb');
    
    SqliteDB = function() {};
    
    
    /*
     * 打开数据库
     * @param resultCB,结果回调，回调打开结果retCode和数据库链接id。
     */
    SqliteDB.prototype.open = function(resultCB,dbname) {
        //alert('SqliteDB.open');
        if(dbname){
            Was.exec("sdb","open",{dbname:dbname}
                        ,function(args){
                            resultCB(args["retCode"],args["connID"]);
                        }
                        ,resultCB);
        }
        else{
            Was.exec("sdb","open",{}
                        ,function(args){
                            resultCB(args["retCode"],args["connID"]);
                        }
                        ,resultCB);
        }
    };

    /*
     * 关闭数据库
     * @param connID,打开数据库时返回的链接id
     * @param resultCB,结果回调，回调打开结果retCode。
     */
    SqliteDB.prototype.close = function(connID,resultCB) {
        //alert('SqliteDB.close');
        Was.exec("sdb","close",{connID:connID}
                    ,function(args){
                        resultCB(args["retCode"]);
                    }
                    ,resultCB);
    };
    
    /*
     * 执行一个sql语句。
     * @param connID,打开数据库时返回的链接id
     * @param sql,sql语句，目前暂时不支持?参数化
     * @param resultCB,结果回调，回调执行结果retCode。
     */
    SqliteDB.prototype.execute = function(connID,sql,resultCB) {
        //alert('SqliteDB.execute');
        Was.exec("sdb","execute",{connID:connID,sql:sql}
                    ,function(args){
                        //alert(args["msg"]);
                        resultCB(args["retCode"],args["msg"]);
                    }
                    ,resultCB);
    };
    
    /*
     * 执行一个查询
     * @param connID,打开数据库时返回的链接id
     * @param sql,sql语句，目前暂时不支持?参数化
     * @param resultCB,结果回调，回调查询结果retCode和游标id。
     */
    SqliteDB.prototype.query = function(connID,sql,resultCB) {
        //alert('SqliteDB.query');
        Was.exec("sdb","query",{connID:connID,sql:sql}
                    ,function(args){
                        resultCB(args["retCode"],args["cursorID"],args["msg"]);
                    }
                    ,resultCB);
    };

    /*
     * 游标向前进1,并返回纪录内容或者错误码
     * @param cursorID,执行查询时返回的游标id
     * @param resultCB,结果回调，回调结果retCode和纪录内容。
     */
    SqliteDB.prototype.next = function(cursorID,resultCB,colsDef) {
        //alert('SqliteDB.next');
        Was.exec("sdb","next",{cursorID:cursorID,colsTypeDef:colsDef}
                    ,function(args){
                        eval("var r ="+args["record"]+";");
                        resultCB(args["retCode"],r);
                    }
                    ,resultCB);
    };
    
    /*
     * 关闭游标
     * @param cursorID,执行查询时返回的游标id
     * @param resultCB,结果回调，回调结果retCode。
     */
    SqliteDB.prototype.releaseCursor = function(cursorID,resultCB) {
        //alert('SqliteDB.releaseCursor');
        Was.exec("sdb","releaseCursor",{cursorID:cursorID}
                    ,function(args){
                        resultCB(args["retCode"]);
                    }
                    ,resultCB);
    };
    
    Was.addPlugin(function() {
        if (typeof Was.sdb == "undefined") Was.sdb = new SqliteDB();
    });
    
};
